﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="User.aspx.cs" Inherits="TestAdminSQLTable.User" %>

<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=8" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <ig:WebScriptManager ID="WebScriptManager1" runat="server">
        </ig:WebScriptManager>
        <asp:SqlDataSource ID="sqlDSrole" runat="server" ConnectionString="<%$ ConnectionStrings:MyConnectionString %>"
            SelectCommand="SELECT * FROM [Role]"></asp:SqlDataSource>
        <ig:WebDataGrid ID="MainGrid" runat="server" Height="600px" Width="100%" AutoGenerateColumns="False"
            DataSourceID="sqlDS" DataKeyFields="ID" OnRowUpdating="MainGrid_RowUpdating">
            <Columns>
                <ig:BoundDataField DataFieldName="ID" Hidden="True" Key="ID">
                    <Header Text="ID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="FirstName" Key="FirstName" HtmlEncode="true">
                    <Header Text="FirstName" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="LastName" Key="LastName" HtmlEncode="false">
                    <Header Text="LastName" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UserName" Key="UserName">
                    <Header Text="UserName" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Password" Key="Password">
                    <Header Text="Password" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="RoleID" Key="RoleID">
                    <Header Text="RoleID" />
                </ig:BoundDataField>
                <ig:BoundCheckBoxField DataFieldName="ActiveFlag" Key="ActiveFlag">
                    <Header Text="ActiveFlag" />
                </ig:BoundCheckBoxField>
            </Columns>
            <EditorProviders>
                <ig:DropDownProvider ID="ddRole">
                    <EditorControl ClientIDMode="Predictable" DropDownContainerMaxHeight="200px" EnableAnimations="False"
                        EnableDropDownAsChild="False" DataSourceID="sqlDSrole">
                        <DropDownItemBinding TextField="Name" ValueField="ID" />
                    </EditorControl>
                </ig:DropDownProvider>
            </EditorProviders>
            <Behaviors>
                <ig:EditingCore>
                    <Behaviors>
                        <ig:CellEditing>
                            <ColumnSettings>
                                <ig:EditingColumnSetting ColumnKey="RoleID" EditorID="ddRole" />
                                <ig:EditingColumnSetting ColumnKey="UserName" ReadOnly="True" />
                            </ColumnSettings>
                        </ig:CellEditing>
                        <ig:RowDeleting />
                        <ig:RowAdding Alignment="Top">
                            <ColumnSettings>
                                <ig:RowAddingColumnSetting ColumnKey="ActiveFlag" DefaultValueAsString="True" />
                                <ig:RowAddingColumnSetting ColumnKey="RoleID" EditorID="ddRole" DefaultValueAsString="1" />
                            </ColumnSettings>
                            <EditModeActions MouseClick="Single" />
                        </ig:RowAdding>
                    </Behaviors>
                </ig:EditingCore>
                <ig:Selection CellClickAction="Row" RowSelectType="Single">
                </ig:Selection>
                <ig:RowSelectors>
                </ig:RowSelectors>
                <ig:Paging>
                </ig:Paging>
                <ig:Filtering>
                </ig:Filtering>
                <ig:Sorting>
                </ig:Sorting>
                <ig:Activation>
                </ig:Activation>
            </Behaviors>
        </ig:WebDataGrid>
        <asp:SqlDataSource ID="sqlDS" runat="server" ConnectionString="<%$ ConnectionStrings:MyConnectionString %>"
            DeleteCommand="crud_DELETE_User" DeleteCommandType="StoredProcedure" InsertCommand="crud_INSERT_User"
            InsertCommandType="StoredProcedure" SelectCommand="crud_SELECT_User" SelectCommandType="StoredProcedure"
            UpdateCommand="crud_UPDATE_User" UpdateCommandType="StoredProcedure">
            <DeleteParameters>
                <asp:Parameter Name="ID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="UserName" Type="String" />
                <asp:Parameter Name="Password" Type="String" />
                <asp:Parameter Name="RoleID" Type="Int32" />
                <asp:Parameter Name="ActiveFlag" Type="Boolean" DefaultValue="True" />
            </InsertParameters>
            <SelectParameters>
                <asp:Parameter DefaultValue="True" Name="ActiveOnly" Type="Boolean" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="ID" Type="Int32" />
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="Password" Type="String" />
                <asp:Parameter Name="RoleID" Type="Int32" />
                <asp:Parameter Name="ActiveFlag" Type="Boolean" />
            </UpdateParameters>
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
